#!/bin/sh
#
# OXASE Installer
#  setup oxase configuration
#
# Copyright (C) 2008-2012 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of the software contained in this package
# as well as the source package itself are made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
# 
# Binary versions of this package provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
# 
# In the case you use the software under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

script="oxase_online_repository.sh"

. /tmp/installation_profile

cat >> "/instmnt/$script" <<EOF
#!/bin/sh

# force univention-ox-directory-integration/*
# necessary because the listener module ox-selector.py
# mistakenly sets oxse=true
univention-config-registry set --force \
	univention-ox-directory-integration/oxase=true \
	univention-ox-directory-integration/oxse=false

univention-config-registry set \
	nameserver/external=true \
	bind/autostart=no \
	update/umc/updateprocess/easy=true \
	directory/manager/timeout=3600 \
	umc/web/timeout=3600 \
	repository/online/component/ox=enabled \
	repository/online/component/ox/server=oxae-update.open-xchange.com \
	repository/online/component/ox/port=80 \
	repository/online/component/ox/version=current \
	repository/online/component/ox/parts=maintained \
	repository/online/component/ox4ucs=enabled \
	repository/online/component/ox4ucs/server=oxae-update.open-xchange.com \
	repository/online/component/ox4ucs/port=80 \
	repository/online/component/ox4ucs/version=current \
	repository/online/component/ox4ucs/parts=maintained \
	repository/online/component/oxmobility/server?oxae-update.open-xchange.com \
	repository/online/component/oxoutlook/server?oxae-update.open-xchange.com

EOF
chmod +x "/instmnt/$script"
chroot "/instmnt" "./$script"
