#!/bin/bash
# -*- coding: utf-8 -*-
#
# Univention Installer
#
# Copyright (C) 2008-2012 Univention GmbH
#
# http://www.univention.de/
#
# and
#
# iKu Systems & Services GmbH & Co. KG
# http://www.iku-systems.de/
#
# All rights reserved.
#
# The source code of the software contained in this package
# as well as the source package itself are made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
# 
# Binary versions of this package provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
# 
# In the case you use the software under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

. /etc/profile
. /etc/univention/installation_profile
eval $(univention-config-registry shell)

#return value:
#if known/resolves link or is set
#	return $current_timezone
#if unknown 
#	return MAPPING[lookup(unknown)+1] 
#else 
#	return "UTC"
#
#mapping is fuzzy and generated by timeoffset to UTC
#does not handle DST and stuff

AVAILABLE=(Africa/Abidjan Africa/Accra Africa/Addis_Ababa Africa/Algiers Africa/Asmera Africa/Bangui Africa/Banjul Africa/Bissau Africa/Blantyre Africa/Bujumbura Africa/Cairo Africa/Casablanca Africa/Conakry Africa/Dakar Africa/Dar_es_Salaam Africa/Djibouti Africa/Douala Africa/Freetown Africa/Gaborone Africa/Harare Africa/Johannesburg Africa/Kampala Africa/Khartoum Africa/Kigali Africa/Kinshasa Africa/Lagos Africa/Libreville Africa/Lome Africa/Luanda Africa/Lubumbashi Africa/Lusaka Africa/Malabo Africa/Maputo Africa/Maseru Africa/Mbabane Africa/Mogadishu Africa/Monrovia Africa/Nairobi Africa/Ndjamena Africa/Niamey Africa/Nouakchott Africa/Ouagadougou Africa/Porto-Novo Africa/Sao_Tome Africa/Timbuktu Africa/Tripoli Africa/Tunis Africa/Windhoek America/Adak America/Anchorage America/Anguilla America/Antigua America/Aruba America/Asuncion America/Barbados America/Belize America/Bogota America/Buenos_Aires America/Caracas America/Cayenne America/Cayman America/Chicago America/Costa_Rica America/Cuiaba America/Curacao America/Dawson_Creek America/Denver America/Dominica America/Edmonton America/El_Salvador America/Fortaleza America/Godthab America/Grand_Turk America/Grenada America/Guadeloupe America/Guatemala America/Guayaquil America/Guyana America/Halifax America/Havana America/Indianapolis America/Jamaica America/La_Paz America/Lima America/Los_Angeles America/Managua America/Manaus America/Martinique America/Mazatlan America/Mexico_City America/Miquelon America/Montevideo America/Montreal America/Montserrat America/Nassau America/New_York America/Noronha America/Panama America/Paramaribo America/Phoenix America/Port-au-Prince America/Port_of_Spain America/Porto_Acre America/Puerto_Rico America/Regina America/Rio_Branco America/Santiago America/Santo_Domingo America/Sao_Paulo America/Scoresbysund America/St_Johns America/St_Kitts America/St_Lucia America/St_Thomas America/St_Vincent America/Tegucigalpa America/Thule America/Tijuana America/New_York America/Vancouver America/Winnipeg Antarctica/Casey Antarctica/DumontDUrville Antarctica/Mawson Antarctica/McMurdo Antarctica/Palmer Asia/Aden Asia/Almaty Asia/Amman Asia/Anadyr Asia/Aqtau Asia/Aqtobe Asia/Ashkhabad Asia/Baghdad Asia/Bahrain Asia/Baku Asia/Bangkok Asia/Beirut Asia/Bishkek Asia/Brunei Asia/Calcutta Asia/Colombo Asia/Dacca Asia/Damascus Asia/Dhaka Asia/Dubai Asia/Dushanbe Asia/Hong_Kong Asia/Irkutsk Asia/Jakarta Asia/Jayapura Asia/Jerusalem Asia/Kabul Asia/Kamchatka Asia/Karachi Asia/Katmandu Asia/Krasnoyarsk Asia/Kuala_Lumpur Asia/Kuwait Asia/Macao Asia/Magadan Asia/Manila Asia/Muscat Asia/Nicosia Asia/Novosibirsk Asia/Phnom_Penh Asia/Pyongyang Asia/Qatar Asia/Rangoon Asia/Riyadh Asia/Saigon Asia/Seoul Asia/Shanghai Asia/Singapore Asia/Taipei Asia/Tashkent Asia/Tbilisi Asia/Tehran Asia/Thimbu Asia/Tokyo Asia/Ujung_Pandang Asia/Ulaanbaatar Asia/Vientiane Asia/Vladivostok Asia/Yakutsk Asia/Yekaterinburg Asia/Yerevan Atlantic/Azores Atlantic/Bermuda Atlantic/Canary Atlantic/Cape_Verde Atlantic/Faeroe Atlantic/Jan_Mayen Atlantic/Reykjavik Atlantic/South_Georgia Atlantic/St_Helena Atlantic/Stanley Australia/Adelaide Australia/Brisbane Australia/Broken_Hill Australia/Darwin Australia/Hobart Australia/Lord_Howe Australia/Perth Australia/Sydney Europe/Amsterdam Europe/Andorra Europe/Athens Europe/Belgrade Europe/Berlin Europe/Brussels Europe/Bucharest Europe/Budapest Europe/Chisinau Europe/Copenhagen Europe/Dublin Europe/Gibraltar Europe/Helsinki Europe/Istanbul Europe/Kaliningrad Europe/Kiev Europe/Lisbon Europe/London Europe/Luxembourg Europe/Madrid Europe/Malta Europe/Minsk Europe/Monaco Europe/Moscow Europe/Oslo Europe/Paris Europe/Prague Europe/Riga Europe/Rome Europe/Samara Europe/Simferopol Europe/Sofia Europe/Stockholm Europe/Tallinn Europe/Tirane Europe/Vaduz Europe/Vienna Europe/Vilnius Europe/Warsaw Europe/Zurich GMT Indian/Antananarivo Indian/Chagos Indian/Christmas Indian/Cocos Indian/Comoro Indian/Kerguelen Indian/Mahe Indian/Maldives Indian/Mauritius Indian/Mayotte Indian/Reunion Pacific/Apia Pacific/Auckland Pacific/Chatham Pacific/Easter Pacific/Efate Pacific/Enderbury Pacific/Fakaofo Pacific/Fiji Pacific/Funafuti Pacific/Galapagos Pacific/Gambier Pacific/Guadalcanal Pacific/Guam Pacific/Honolulu Pacific/Kiritimati Pacific/Kosrae Pacific/Majuro Pacific/Marquesas Pacific/Nauru Pacific/Niue Pacific/Norfolk Pacific/Noumea Pacific/Pago_Pago Pacific/Palau Pacific/Pitcairn Pacific/Ponape Pacific/Port_Moresby Pacific/Rarotonga Pacific/Saipan Pacific/Tahiti Pacific/Tarawa Pacific/Tongatapu Pacific/Truk Pacific/Wake Pacific/Wallis UTC WET)


MAPPING=(Africa/Bamako UTC Africa/Brazzaville Europe/Zurich Africa/Ceuta Europe/Zurich Africa/El_Aaiun UTC America/Araguaina Atlantic/Stanley America/Argentina UTC America/Argentina/Buenos_Aires Atlantic/South_Georgia America/Argentina/Catamarca Atlantic/Stanley America/Argentina/ComodRivadavia Atlantic/Stanley America/Argentina/Cordoba Atlantic/South_Georgia America/Argentina/Jujuy Atlantic/Stanley America/Argentina/La_Rioja Atlantic/Stanley America/Argentina/Mendoza Atlantic/Stanley America/Argentina/Rio_Gallegos Atlantic/Stanley America/Argentina/San_Juan Atlantic/Stanley America/Argentina/Tucuman Atlantic/South_Georgia America/Argentina/Ushuaia Atlantic/Stanley America/Atka Pacific/Gambier America/Bahia Atlantic/Stanley America/Belem Atlantic/Stanley America/Boa_Vista America/New_York America/Boise Pacific/Galapagos America/Cambridge_Bay Pacific/Galapagos America/Campo_Grande America/New_York America/Cancun Pacific/Galapagos America/Catamarca Atlantic/Stanley America/Chihuahua America/Vancouver America/Cordoba Atlantic/South_Georgia America/Danmarkshavn UTC America/Dawson America/Vancouver America/Detroit America/New_York America/Eirunepe America/New_York America/Ensenada Pacific/Pitcairn America/Fort_Wayne America/New_York America/Glace_Bay Atlantic/Stanley America/Goose_Bay Atlantic/Stanley America/Hermosillo America/Vancouver America/Indiana UTC America/Indiana/Indianapolis America/New_York America/Indiana/Knox Pacific/Easter America/Indiana/Marengo America/New_York America/Indiana/Vevay America/New_York America/Inuvik Pacific/Galapagos America/Iqaluit America/New_York America/Jujuy Atlantic/Stanley America/Juneau Pacific/Pitcairn America/Kentucky UTC America/Kentucky/Louisville America/New_York America/Kentucky/Monticello America/New_York America/Knox_IN Pacific/Easter America/Louisville America/New_York America/Maceio Atlantic/Stanley America/Mendoza Atlantic/Stanley America/Menominee Pacific/Easter America/Merida Pacific/Galapagos America/Monterrey Pacific/Galapagos America/Nipigon America/New_York America/Nome Pacific/Pitcairn America/North_Dakota UTC America/North_Dakota/Center Pacific/Easter America/Pangnirtung America/New_York America/Porto_Velho America/New_York America/Rainy_River Pacific/Easter America/Rankin_Inlet Pacific/Easter America/Recife Atlantic/Stanley America/Rosario Atlantic/South_Georgia America/Shiprock Pacific/Galapagos America/Swift_Current Pacific/Galapagos America/Thunder_Bay America/New_York America/Toronto America/New_York America/Virgin America/New_York America/Whitehorse America/Vancouver America/Yakutat Pacific/Pitcairn America/Yellowknife Pacific/Galapagos Antarctica/Davis Indian/Christmas Antarctica/Rothera Atlantic/Stanley Antarctica/South_Pole Pacific/Tongatapu Antarctica/Syowa Indian/Mayotte Antarctica/Vostok Indian/Chagos Arctic/Longyearbyen Europe/Zurich Asia/Ashgabat Indian/Mauritius Asia/Choibalsan Asia/Ulaanbaatar Asia/Chongqing Asia/Ulaanbaatar Asia/Chungking Asia/Ulaanbaatar Asia/Dili Pacific/Palau Asia/Gaza Europe/Vilnius Asia/Harbin Asia/Ulaanbaatar Asia/Hovd Indian/Christmas Asia/Istanbul Europe/Vilnius Asia/Kashgar Asia/Ulaanbaatar Asia/Kuching Asia/Ulaanbaatar Asia/Macau Asia/Ulaanbaatar Asia/Makassar Asia/Ulaanbaatar Asia/Omsk Indian/Chagos Asia/Oral Indian/Mauritius Asia/Pontianak Indian/Christmas Asia/Qyzylorda Indian/Chagos Asia/Riyadh87 UTC Asia/Riyadh88 UTC Asia/Riyadh89 UTC Asia/Sakhalin Pacific/Truk Asia/Samarkand Indian/Mauritius Asia/Tel_Aviv Europe/Vilnius Asia/Thimphu Indian/Chagos Asia/Ulan_Bator Asia/Ulaanbaatar Asia/Urumqi Asia/Ulaanbaatar Atlantic/Madeira UTC Australia UTC Australia/ACT Pacific/Ponape Australia/Canberra Pacific/Ponape Australia/LHI Pacific/Ponape Australia/Lindeman Pacific/Truk Australia/Melbourne Pacific/Ponape Australia/North Australia/Darwin Australia/NSW Pacific/Ponape Australia/Queensland Pacific/Truk Australia/South Australia/Broken_Hill Australia/Tasmania Pacific/Ponape Australia/Victoria Pacific/Ponape Australia/West Pacific/Palau Australia/Yancowinna Australia/Broken_Hill Brazil/Acre America/New_York Brazil/DeNoronha Atlantic/South_Georgia Brazil/East Atlantic/Stanley Brazil/West America/New_York Canada/Atlantic Atlantic/Stanley Canada/Central Pacific/Easter Canada/Eastern America/New_York Canada/East-Saskatchewan Pacific/Galapagos Canada/Mountain Pacific/Galapagos Canada/Newfoundland America/St_Johns Canada/Pacific America/Vancouver Canada/Saskatchewan Pacific/Galapagos Canada/Yukon America/Vancouver CET Europe/Zurich Chile/Continental Atlantic/Stanley Chile/EasterIsland Pacific/Easter CST6CDT Pacific/Easter Cuba America/New_York EET Europe/Vilnius Egypt Europe/Vilnius Eire UTC EST Pacific/Easter EST5EDT America/New_York Etc/GMT Europe/London Etc/GMT-0 UTC Etc/GMT+0 UTC Etc/GMT0 UTC Etc/GMT+0 Europe/London Etc/GMT+10 Australia/Sydney Etc/GMT+10 Pacific/Port_Moresby Etc/GMT-10 Pacific/Tahiti Etc/GMT+11 Asia/Magadan Etc/GMT-11 UTC Etc/GMT+12 Pacific/Fiji Etc/GMT-12 UTC Etc/GMT+1 Africa/Algiers Etc/GMT-1 Atlantic/Cape_Verde Etc/GMT+2 Africa/Gaborone Etc/GMT-2 Altantic/South_Georgia Etc/GMT-3 America/Paramaribo Etc/GMT+3 Asia/Bahrein Etc/GMT-4 America/Anguilla Etc/GMT+4 Indian/Mauritius Etc/GMT-5 America/Cayman Etc/GMT+5 Asia/Karachi Etc/GMT-6 America/Belize Etc/GMT+6 Asia/Dhaka Etc/GMT+7 Asia/Phnom_Penh Etc/GMT-7 UTC Etc/GMT+8 Asia/Brunei Etc/GMT-8 Pacific/Pitcairn Etc/GMT+9 Asia/Tokyo Etc/GMT-9 UTC Etc/Greenwich UTC Etc/UCT UTC Etc/Universal UCT Etc/UTC UTC Etc/Zulu UTC Europe/Belfast UTC Europe/Bratislava Europe/Zurich Europe/Ljubljana Europe/Zurich Europe/Mariehamn Europe/Vilnius Europe/Nicosia Europe/Vilnius Europe/San_Marino Europe/Zurich Europe/Sarajevo Europe/Zurich Europe/Skopje Europe/Zurich Europe/Tiraspol Europe/Vilnius Europe/Uzhgorod Europe/Vilnius Europe/Vatican Europe/Zurich Europe/Zagreb Europe/Zurich Europe/Zaporozhye Europe/Vilnius Factory UTC GB UTC GB-Eire UTC GMT UTC GMT-0 UTC GMT+0 UTC GMT0 UTC Greenwich UTC Hongkong Asia/Ulaanbaatar HST Pacific/Tahiti Iceland UTC Iran Asia/Tehran Israel Europe/Vilnius Jamaica Pacific/Easter Japan Pacific/Palau Kwajalein Pacific/Wallis Libya Europe/Vilnius MET Europe/Zurich Mexico/BajaNorte Pacific/Pitcairn Mexico/BajaSur America/Vancouver Mexico/General Pacific/Galapagos Mideast/Riyadh87 UTC Mideast/Riyadh88 UTC Mideast/Riyadh89 UTC MST America/Vancouver MST7MDT Pacific/Galapagos Navajo Pacific/Galapagos NZ Pacific/Tongatapu NZ-CHAT Pacific/Chatham Pacific/Johnston Pacific/Tahiti Pacific/Kwajalein Pacific/Wallis Pacific/Midway Pacific/Pago_Pago Pacific/Samoa Pacific/Pago_Pago Pacific/Yap Pacific/Truk Poland Europe/Zurich Portugal UTC PRC Asia/Ulaanbaatar PST8PDT America/Vancouver ROC Asia/Ulaanbaatar ROK Pacific/Palau Singapore Asia/Ulaanbaatar Turkey Europe/Vilnius UCT UTC Universal UTC US/Alaska Pacific/Pitcairn US/Aleutian Pacific/Gambier US/Arizona America/Vancouver US/Central Pacific/Easter US/Eastern America/New_York US/East-Indiana America/New_York US/Hawaii Pacific/Tahiti US/Indiana-Starke Pacific/Easter US/Michigan America/New_York US/Mountain Pacific/Galapagos US/Pacific America/Vancouver US/Samoa Pacific/Pago_Pago W-SU Indian/Mayotte Zulu UTC) 

current_timezone="UTC"

if [ -f /etc/timezone ] || [ -f /etc/localtime ] ; then
        if [ -L /etc/localtime ] ; then
                current_timezone=$(readlink /etc/localtime | sed 's%^/usr/share/zoneinfo/%%')
        elif [ -f /etc/timezone ] && [ -f /etc/localtime ]; then
                current_timezone=$(cat /etc/timezone)
        fi
fi

i=0
mapping_length=${#MAPPING[@]}
newmapping=""
available_length=${#AVAILABLE[@]}
skip1="false"

while [ $i -lt $available_length ] ; do

	if [ "${AVAILABLE[${i}]}" = "$current_timezone" ] ; then
		OXTIMEZONE=${AVAILABLE[${i}]}
		skip1="true"
	fi
	i=$((i+1)) ;

done

if [ ! "$skip1" = "true" ] ; then

	i=0;

	while [ $i -lt $mapping_length ] ; do
		if [ "${MAPPING[${i}]}" = "$current_timezone" ] ; then
			newmapping=${MAPPING[$((i+1))]} ;
		fi
		i=$((i+2)) ;
	done

	if [ -z "$newmapping" ] ; then
		OXTIMEZONE="UTC" ;
	else
		OXTIMEZONE="$newmapping" ;
	fi

fi

OXLANG=$(echo $locale_default | cut -f1 -d.)
if [ "${OXLANG:0:2}" = "de" ]; then
        OXLANG="de_DE"
else
        OXLANG="en_US"
fi
univention-config-registry set directory/manager/web/modules/users/user/properties/firstname/required=0
univention-config-registry set directory/manager/web/modules/users/user/properties/oxDisplayName/required=0
univention-config-registry set directory/manager/web/modules/users/user/properties/mailPrimaryAddress/required=0

univention-directory-manager settings/usertemplate create $@ \
		--ignore_exists \
		--position cn=templates,cn=univention,$ldap_base \
		--set name="open-xchange groupware account" \
		--set mailPrimaryAddress="<username>@${ox_mail_domain_primary}" \
		--set e-mail="<username>@${ox_mail_domain_primary}" \
		--set _options=kerberos \
		--set _options=person \
		--set _options=samba \
		--set _options=posix \
		--set _options=mail \
		--set _options=groupware \
		--set oxTimeZone="$OXTIMEZONE" \
		--set oxDisplayName="<firstname> <lastname>" \
		--set oxLanguage="$OXLANG" \
		--set oxAccess="premium"
univention-directory-manager settings/usertemplate modify $@ \
		--dn "cn=open-xchange groupware account,cn=templates,cn=univention,$ldap_base" \
		--set mailPrimaryAddress="<username>@${ox_mail_domain_primary}" \
		--set e-mail="<username>@${ox_mail_domain_primary}" \
		--set _options=kerberos \
		--set _options=person \
		--set _options=samba \
		--set _options=posix \
		--set _options=mail \
		--set _options=groupware \
		--set oxTimeZone="$OXTIMEZONE" \
		--set oxDisplayName="<firstname> <lastname>" \
		--set oxLanguage="$OXLANG" \
		--set oxAccess="premium"

# set the ox groupware user template as default template
templateDn="cn=open-xchange groupware account,cn=templates,cn=univention,$ldap_base"
univention-config-registry set "directory/manager/web/modules/users/user/add/default=$templateDn"

univention-directory-manager users/user create \
		--binddn "cn=admin,$ldap_base" \
		--bindpw $(cat /etc/ldap.secret) \
		--ignore_exists \
		--position "cn=users,$ldap_base" \
		--set username="oxadmin" \
		--set lastname="Admin" \
		--set firstname="OX" \
		--set password=$(cat /etc/ox-secrets/context10.secret) \
		--set overridePWLength=1 \
		--set mailPrimaryAddress="oxadmin@${ox_mail_domain_primary}" \
		--set oxDisplayName="OX Admin" \
		--set oxAccess="premium" \
		--set isOxUser=OK \
		--set oxTimeZone="$OXTIMEZONE" \
		--set oxLanguage="$OXLANG"
univention-directory-manager users/user modify $@ \
		--dn "uid=oxadmin,cn=users,$ldap_base" \
		--set "mailAlternativeAddress=abuse@${ox_mail_domain_primary}" \
		--set mailAlternativeAddress="postmaster@${ox_mail_domain_primary}"
(echo "dn: uid=oxadmin,cn=users,$ldap_base"
echo "changetype: modify"
echo "replace: userPassword"
ldapsearch -LLL -x -D "cn=admin,$ldap_base" -w $(cat /etc/ldap.secret) -b "uid=Administrator,cn=users,$ldap_base" userPassword | grep -v "^dn:") | ldapmodify -x -D "cn=admin,$ldap_base" -w $(cat /etc/ldap.secret)
univention-directory-manager users/user modify \
		--binddn "cn=admin,$ldap_base" \
		--bindpw $(cat /etc/ldap.secret) \
		--dn "uid=Administrator,cn=users,$ldap_base" \
		--set mailPrimaryAddress="administrator@${ox_mail_domain_primary}" \
		--set oxDisplayName="Domain Administrator" \
		--set oxTimeZone="$OXTIMEZONE" \
		--set oxLanguage="$OXLANG" \
		--set firstname="Administrator"
univention-config-registry set directory/manager/web/modules/users/user/properties/firstname/required=1
univention-config-registry set directory/manager/web/modules/users/user/properties/oxDisplayName/required=1
univention-config-registry set directory/manager/web/modules/groups/group/properties/name/required=1
univention-config-registry set directory/manager/web/modules/users/user/properties/mailPrimaryAddress/required=1

# OX-US4037: set mail/hosteddomains and ox/mail/domain/primary based on ox_primary_maildomain
univention-config-registry set mail/hosteddomains="${ox_primary_maildomain} $mail_hosteddomains"
univention-config-registry set ox/mail/domain/primary="${ox_primary_maildomain}"

# unforce univention-ox-directory-integration/*
# necessary because the listener module ox-selector.py
# mistakenly sets oxse=true
univention-config-registry unset --force \
	univention-ox-directory-integration/oxase \
	univention-ox-directory-integration/oxse
univention-config-registry set \
	univention-ox-directory-integration/oxase=true \
	univention-ox-directory-integration/oxse=false

# commit all ox ucr vars
commit-ox-ucr-variables

# add OX' public repository key to apt's keyring (Bug #27150)
OXKEYFN="$(mktemp)"
cat > "$OXKEYFN" <<EOF
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v2.0.9 (GNU/Linux)

mQGiBEJfkQ4RBACX+9u2Ss9S2qNDdZ6jBVUzju8Viwgur/jJ0lQuvGT5GPYfjS1m
MMS7NZCho0htlxlTbkb7ozVCbGQ2gDDgPW1EbWG+bcyl76BM79b6L0smtG2KFmJR
C/9BpG8v5mRCj1KdRkbYi3FQceR6VJZmu7MOYtLx8dgdKnswYg1sKS5NNwCgwjJt
XwSM6HHdW81LSnBZmojTdlkEAJei5ENSStM57vU9S28jNXheqAFcP1j/+D2IDLpa
sDBpdIz54SGMYcmdIgHpL/G+/HgPTCh9pbzEoPRk+bgUuZcPVTHqHj1cLb3yOWo7
hLypWngRdENj1wyVGJr9i3SMlp4YXCXG9TpfEFWsBqwR0zB8keANm69SyE02T14X
9qTaA/0bZMBLN2kieFN1IwqrUWGooHkkHYdr2p45CZP0mkA26S0RBmZ43IMrRlS5
eaCOpNEDyRx7dqx61MXcwkcWQuVFmnMg/YaE0XUvy0ta0dwgeW71Tih3mLQOp53Y
FKxppEYAC31yrtCvfLVbgU1Ho6cEICLDwI2UbsGoOGzHbMX+G7Q0UlBNIEJVSUxE
IChPUEVOLVhDSEFOR0UpIDxycG1idWlsZEBvcGVuLXhjaGFuZ2Uub3JnPoheBBMR
AgAeBQJCX5EOAhsDBgsJCAcDAgMVAgMDFgIBAh4BAheAAAoJEN0aXpzu2UnwW84A
n0dM2USHy91ajX7iPctw1Z1QEsEdAKCaKywEPsdgMWxsQyiPkIkq6ucP8YheBBMR
AgAeBQJCX5EOAhsDBgsJCAcDAgMVAgMDFgIBAh4BAheAAAoJEN0aXpzu2UnwW84A
oIzeUHofOsWbL+ctCWxwk4I4qGXvAJ0Z2WPIgSH1T82vdewToMiOWcc3sIhGBBAR
AgAGBQJECEHnAAoJECYDgT/VMvLoBMIAoJB0hhRj075DGEHbBOnwHQYZ7rWeAKCo
WC0b3xUo3iJ0kftXEvDjOUkf2A==
=VluO
-----END PGP PUBLIC KEY BLOCK-----
EOF
apt-key add "$OXKEYFN"
rm -f "$OXKEYFN"

exit 0
